Bug 1001452 - Review Request: makepp - Compatible but reliable and improved replacement for make
Review Request: makepp - Compatible but reliable and improved replacement for...
Status: CLOSED DUPLICATE of bug 1119947
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Björn Persson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-27 01:42 EDT by Christopher Meng
Modified: 2014-07-15 20:43 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-07-06 21:38:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Christopher Meng 2013-08-27 01:42:34 EDT
Spec URL: http://cicku.me/makepp.spec
SRPM URL: http://cicku.me/makepp-2.0.98.3.1-1.fc21.src.rpm
Description: Makepp, a build program which has a number of features that allow for reliable
builds and simpler build files, is a drop-in replacement for GNU make. It 
supports almost all of the syntax that GNU make supports, and can be used with
makefiles produced by utilities such as automake. It is called makepp 
(or make++) because it was designed with special support for C++, which has 
since been extended to other languages like Swig or embedded SQL. Also its 
relationship to make is analogous to C++'s relationship to C: it is almost 
100% backward compatible but adds a number of new features and much better 
ways to write makefiles.
Fedora Account System Username: cicku
Comment 1 Björn Persson 2013-11-25 03:52:16 EST
The source URL is invalid. There is no version 2.0.98.3.1 on the server. Please fix this so I can know which version I'm reviewing.

To match what LICENSE says, the License field should be "GPLv2+ or Artistic".

If I understand correctly, "touch .test_done" ignores any and all failures in the whole test suite. That makes the %check section rather pointless. Why run the tests at all if you're going to ignore the result? If the "makeppreplay" test is known to fail, wouldn't it be better to disable only that one test?

Anyway, I don't believe that test case has anything to do with Ccache. I can't see that anything in Makepp invokes Ccache, and it fails with the same error message whether I have Ccache installed or not.
Comment 2 Christopher Meng 2014-02-13 04:19:03 EST
(In reply to Björn Persson from comment #1)
> The source URL is invalid. There is no version 2.0.98.3.1 on the server.
> Please fix this so I can know which version I'm reviewing.

That was a development version. Updated.

> To match what LICENSE says, the License field should be "GPLv2+ or Artistic".

Done.

> If I understand correctly, "touch .test_done" ignores any and all failures
> in the whole test suite. That makes the %check section rather pointless. Why
> run the tests at all if you're going to ignore the result? If the
> "makeppreplay" test is known to fail, wouldn't it be better to disable only
> that one test?

Enabled again.

> Anyway, I don't believe that test case has anything to do with Ccache. I
> can't see that anything in Makepp invokes Ccache, and it fails with the same
> error message whether I have Ccache installed or not.

Not it invokes that, but the gcc actually maybe(haven't checked again)

I will provide new links later as something unexpected happened.
Comment 3 Christopher Meng 2014-07-06 21:38:58 EDT
Due to ccache bug[1], I can't build this package.

Closing now.

If someone is interested at this package, feel free to open a new ticket.

[1]---https://bugzilla.samba.org/show_bug.cgi?id=8424
Comment 4 Christopher Meng 2014-07-15 20:43:11 EDT

*** This bug has been marked as a duplicate of bug 1119947 ***

Note You need to log in before you can comment on or make changes to this bug.